ipe::AttributeMap Class Reference

`#include <ipeattributes.h>`

## Public Member Functions

int | count () const noexcept
Attribute | map (Kind kind, Attribute sym) const
void | saveAsXml (Stream &stream) const
void | add (const AttributeMapping &map)

## Public Attributes

std::vector< AttributeMapping > | iMap

## Member Function Documentation

## count()

int ipe::AttributeMap::count | ( |  | ) | const

inline noexcept

References iMap.

Referenced by ipe::Page::saveAsXml().

## map()

Attribute AttributeMap::map | ( | Kind | kind,
|  | Attribute | sym ) const

Map the given symbolic attribute sym. Returns sym if there is no mapping.

References iMap, and map().

Referenced by add(), ipe::Painter::doDrawSymbol(), ipe::Painter::lookup(), map(), and saveAsXml().

## saveAsXml()

void AttributeMap::saveAsXml | ( | Stream & | stream | ) | const

Save map in XML format.

References iMap, ipe::kind_names, map(), ipe::size(), and ipe::Attribute::string().

Referenced by ipe::Page::saveAsXml().

## add()

void AttributeMap::add | ( | const AttributeMapping & | map | ) |

Add a mapping.

References iMap, and map().

Referenced by ipe::ImlParser::parseView().

## Member Data Documentation

## iMap

std::vector<AttributeMapping> ipe::AttributeMap::iMap

Referenced by add(), count(), map(), and saveAsXml().

The documentation for this class was generated from the following files:

- ipeattributes.h
- ipeattributes.cpp